Skip to main content
Settings/Settings Operations/Advanced Settings Operations
GETAdvanced Settings OperationsSince 3.4.0SynchronousAuth Required

GetResourceBindableConfig

GetResourceBindableConfig

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • categoryString

    Optional. The setting category.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • bindableConfigsListRequired

    See bindableConfigs.

    • nameStringRequired

      The setting name.

    • categoryStringRequired

      The setting category.

    • descriptionStringRequired

      The detailed description of the setting.

    • bindResourceTypesListRequired

      The resource types that can be bound by the setting.

Endpoint

GET/zstack/v1/resource-configurations/bindable

/zstack/v1/resource-configurations/bindable

Operation ID

GetResourceBindableConfig

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/resource-configurations/bindable?category=<category>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "bindableConfigs": [ { "name": "cpu.overProvisioning.ratio", "category": "host", "bindResourceTypes": [ "HostVO", "ClusterVO", "ZoneVO" ] } ] }

Change History

This API has no change history records yet.

View all change history